mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object Cryptographic configuration class to access the default and overidden (machine.config) configuration settings. The file "machine.config" can be used to change the framework default algorithm implementations or add new ones.
- Constructor
  Constructor, no idea why it is here (all class members are static).
  Included for compatibility with MS.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object `` Name of the cryptographic algorithm to create. Create the default cryptographic implementation for the specified algorithm name. An instance of the default implementation of the specified algorithm. Default mapping can be modified, or added to, by modifying the machine.config file. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `System.ParamArray` Name of the cryptographic algorithm to create. Parameters to give to the class contructor. Create the default cryptographic implementation for the specified algorithm name. An instance of the default implementation of the specified algorithm. Default mapping can be modified, or added to, by modifying the machine.config file. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The OID string in dotted notation (e.g. "1.3.14.3.2.26"). Convert the OID string (dotted notation) into an ASN.1 encoded OID. A byte array containing the ASN.1 encoded OID.

  A will be thrown if the OID is invalid, like:

  if the OID string has less than two parts (e.g. "0");
  if the encoded OID would be greater than 127 bytes;

  A will be thrown if a part of the OID is bigger than ..

1.0.5000.0
2.0.0.0
4.0.0.0
- Method
  System.String `` The algorithm name or class name (e.g. "SHA1"). Return the name of the class that is mapped to the specified OID. The OID string in dotted notation (e.g. "1.3.14.3.2.26") for the specified algorithm. Default mapping can be modified, or added to, by modifying the machine.config file. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)